Bug 421133 - Wayland: cursor is always the default size when hovering over GTK apps
Summary: Wayland: cursor is always the default size when hovering over GTK apps
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: wayland-generic (show other bugs)
Version: git master
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-07 03:28 UTC by Nate Graham
Modified: 2020-07-17 13:40 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20
nate: Wayland+
nate: X11-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2020-05-07 03:28:09 UTC
All KDE software built from today's git master on top of openSUSE Tumbleweed

I've set my cursor size to 48px, and this size is displayed when the cursor is over a KDE app, a part of Plasma, or a KWin-drawn window decoration. However when the cursor is over a GTK app, it reverts to its default 24px size
Comment 1 Vlad Zahorodnii 2020-05-07 05:56:48 UTC
Sounds to me like a GTK bug. The client must set the cursor image when the pointer enters one of its surfaces.
Comment 2 Nate Graham 2020-05-07 13:06:01 UTC
CCing some of our people with GTK expertise.
Comment 3 David Edmundson 2020-07-14 11:05:19 UTC
Note that xcursor_size is an environment variable (which sucks) so you need to log out and back in again to see changes.
Comment 4 David Edmundson 2020-07-14 11:26:55 UTC
Edit, just reproduced after logging out and in with the env set.

In any case, this still remains a GTK bug and a report should be filed there, closing this as upstream afterwards.
Comment 5 David Edmundson 2020-07-15 17:07:21 UTC
Reading GTK code they do follow gtk-cursor-theme-size

We could get our gtk-config bridge to sync it just like we sync the theme.
Doesn't really fix the root problem of not having a global spec, but it'd hide the symptoms.
Comment 6 Bug Janitor Service 2020-07-15 18:32:45 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kde-gtk-config/-/merge_requests/8
Comment 7 Mikhail Zolotukhin 2020-07-17 13:39:14 UTC
Git commit 8359e316e7b14e81f4cbdf4ceb14783b7c90fc44 by Mikhail Zolotukhin.
Committed on 17/07/2020 at 13:39.
Pushed by gikari into branch 'master'.

Synchronize the cursor size setting

M  +1    -1    README.md
M  +6    -0    kded/configvalueprovider.cpp
M  +1    -0    kded/configvalueprovider.h
M  +17   -3    kded/gtkconfig.cpp
M  +1    -0    kded/gtkconfig.h

https://invent.kde.org/plasma/kde-gtk-config/commit/8359e316e7b14e81f4cbdf4ceb14783b7c90fc44